commit 9fb97d484e04342323e25b786819acebc94289de
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Fri May 18 10:03:17 2018 +0200

    Fix version number for develop build

diff --git a/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
index 17b27aab5..e8abdc3a0 100644
--- a/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Application
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.application;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Bundle-Activator: eu.etaxonomy.taxeditor.TaxonomicEditorPlugin
 Bundle-Vendor: EDIT
 Bundle-Localization: OSGI-INF/l10n/plugin
diff --git a/eu.etaxonomy.taxeditor.application/pom.xml b/eu.etaxonomy.taxeditor.application/pom.xml
index 472ccb150..27d14db48 100644
--- a/eu.etaxonomy.taxeditor.application/pom.xml
+++ b/eu.etaxonomy.taxeditor.application/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.1.0</version>
+    <version>5.1.0-SNAPSHOT</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
index daabcd881..0a8d8937e 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Bulkeditor Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.bulkeditor;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Bundle-Activator: eu.etaxonomy.taxeditor.bulkeditor.internal.TaxeditorBulkeditorPlugin
 Bundle-Vendor: EDIT
 Export-Package: eu.etaxonomy.taxeditor.annotatedlineeditor,
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/pom.xml b/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
index 6bba7ec88..a019256b7 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
+++ b/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>5.1.0</version>
+		<version>5.1.0-SNAPSHOT</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index 233ef4283..7c52f16e2 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: CDM Library Dependencies Plugin
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.cdmlib;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Eclipse-BundleShape: dir
 Export-Package: com.google.api,
  com.google.api.detect,
diff --git a/eu.etaxonomy.taxeditor.cdmlib/pom.xml b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
index f11e414d5..7c0cb187c 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/pom.xml
+++ b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
@@ -4,7 +4,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.1.0</version>
+    <version>5.1.0-SNAPSHOT</version>
   </parent>
   <modelVersion>4.0.0</modelVersion>
   <artifactId>eu.etaxonomy.taxeditor.cdmlib</artifactId>
diff --git a/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
index 5243e2b8c..5bb26b7fe 100644
--- a/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Editor Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.editor;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Bundle-Activator: eu.etaxonomy.taxeditor.editor.internal.TaxeditorEditorPlugin
 Bundle-Vendor: %Bundle-Vendor.0
 Bundle-Localization: OSGI-INF/l10n/plugin
diff --git a/eu.etaxonomy.taxeditor.editor/pom.xml b/eu.etaxonomy.taxeditor.editor/pom.xml
index 5e94ac271..2a4434e46 100644
--- a/eu.etaxonomy.taxeditor.editor/pom.xml
+++ b/eu.etaxonomy.taxeditor.editor/pom.xml
@@ -4,7 +4,7 @@
   <parent>
 	<groupId>eu.etaxonomy</groupId>
 	<artifactId>taxeditor-parent</artifactId>
-    <version>5.1.0</version>
+    <version>5.1.0-SNAPSHOT</version>
   </parent>
   
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.feature.platform/feature.xml b/eu.etaxonomy.taxeditor.feature.platform/feature.xml
index 64add383d..abea8d981 100644
--- a/eu.etaxonomy.taxeditor.feature.platform/feature.xml
+++ b/eu.etaxonomy.taxeditor.feature.platform/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="eu.etaxonomy.taxeditor.feature.platform"
       label="Taxeditor Dependencies"
-      version="5.1.0"
+      version="5.1.0.qualifier"
       os="linux,macosx,win32"
       ws="cocoa,gtk,win32"
       arch="x86,x86_64">
diff --git a/eu.etaxonomy.taxeditor.feature.platform/pom.xml b/eu.etaxonomy.taxeditor.feature.platform/pom.xml
index ffb9eef84..76aae578a 100644
--- a/eu.etaxonomy.taxeditor.feature.platform/pom.xml
+++ b/eu.etaxonomy.taxeditor.feature.platform/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>5.1.0</version>
+		<version>5.1.0-SNAPSHOT</version>
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>eu.etaxonomy.taxeditor.feature.platform</artifactId>
diff --git a/eu.etaxonomy.taxeditor.feature/feature.xml b/eu.etaxonomy.taxeditor.feature/feature.xml
index 5dea2653d..74acb7eca 100644
--- a/eu.etaxonomy.taxeditor.feature/feature.xml
+++ b/eu.etaxonomy.taxeditor.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="eu.etaxonomy.taxeditor.feature"
       label="Taxonomic Editor"
-      version="5.1.0"
+      version="5.1.0.qualifier"
       provider-name="EDIT"
       plugin="eu.etaxonomy.taxeditor.application"
       os="linux,macosx,win32"
diff --git a/eu.etaxonomy.taxeditor.feature/pom.xml b/eu.etaxonomy.taxeditor.feature/pom.xml
index 4ef980e8d..3cbb17b13 100644
--- a/eu.etaxonomy.taxeditor.feature/pom.xml
+++ b/eu.etaxonomy.taxeditor.feature/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.1.0</version>
+    <version>5.1.0-SNAPSHOT</version>
   </parent>
   <modelVersion>4.0.0</modelVersion>
   <artifactId>eu.etaxonomy.taxeditor.feature</artifactId>
diff --git a/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
index 1749d152d..ef9d98269 100644
--- a/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Help
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.help; singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Bundle-Activator: eu.etaxonomy.taxeditor.help.Activator
 Bundle-Vendor: EDIT
 Require-Bundle: org.eclipse.ui,
diff --git a/eu.etaxonomy.taxeditor.help/pom.xml b/eu.etaxonomy.taxeditor.help/pom.xml
index 09b446b3a..9e5c86a57 100644
--- a/eu.etaxonomy.taxeditor.help/pom.xml
+++ b/eu.etaxonomy.taxeditor.help/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>5.1.0</version>
+		<version>5.1.0-SNAPSHOT</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
index f676b2d11..7741dcf29 100644
--- a/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: eu.etaxonomy.taxeditor.molecular.lib
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.molecular.lib;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Bundle-ClassPath: .,
  lib/owlapi-xmlutils-4.1.4.jar,
  lib/commons-collections4-4.1.jar,
diff --git a/eu.etaxonomy.taxeditor.molecular.lib/pom.xml b/eu.etaxonomy.taxeditor.molecular.lib/pom.xml
index 343dbec77..0377c79fb 100644
--- a/eu.etaxonomy.taxeditor.molecular.lib/pom.xml
+++ b/eu.etaxonomy.taxeditor.molecular.lib/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.1.0</version>
+    <version>5.1.0-SNAPSHOT</version>
   </parent>
   
   <name>Molecular Library Dependencies Bundle</name>
diff --git a/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF
index d2b1faf69..035fad00e 100644
--- a/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Molecular Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.molecular;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Bundle-Activator: eu.etaxonomy.taxeditor.molecular.TaxeditorMolecularPlugin
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
diff --git a/eu.etaxonomy.taxeditor.molecular/pom.xml b/eu.etaxonomy.taxeditor.molecular/pom.xml
index 1a89802f8..e75974596 100644
--- a/eu.etaxonomy.taxeditor.molecular/pom.xml
+++ b/eu.etaxonomy.taxeditor.molecular/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.1.0</version>
+    <version>5.1.0-SNAPSHOT</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
index 552ae5397..161d9f974 100644
--- a/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Navigation Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.navigation;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Bundle-Activator: eu.etaxonomy.taxeditor.navigation.internal.TaxeditorNavigationPlugin
 Bundle-Vendor: EDIT
 Export-Package: eu.etaxonomy.cdm,
diff --git a/eu.etaxonomy.taxeditor.navigation/pom.xml b/eu.etaxonomy.taxeditor.navigation/pom.xml
index 694fb9dae..5f4c6dc29 100644
--- a/eu.etaxonomy.taxeditor.navigation/pom.xml
+++ b/eu.etaxonomy.taxeditor.navigation/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>5.1.0</version>
+		<version>5.1.0-SNAPSHOT</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
index 118c9c2d4..cb2748c07 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Printpublisher Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.printpublisher;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Require-Bundle: org.eclipse.osgi,
  org.eclipse.ui,
  eu.etaxonomy.taxeditor.cdmlib,
diff --git a/eu.etaxonomy.taxeditor.printpublisher/pom.xml b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
index 7536e416c..039266a82 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/pom.xml
+++ b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<artifactId>taxeditor-parent</artifactId>
 		<groupId>eu.etaxonomy</groupId>
-		<version>5.1.0</version>
+		<version>5.1.0-SNAPSHOT</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
index d74e25b6e..76fbe5d1c 100644
--- a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: DataStore Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.store;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Bundle-Activator: eu.etaxonomy.taxeditor.store.internal.TaxeditorStorePlugin
 Bundle-Vendor: EDIT
 Bundle-Localization: OSGI-INF/l10n/bundle
diff --git a/eu.etaxonomy.taxeditor.store/pom.xml b/eu.etaxonomy.taxeditor.store/pom.xml
index 36218f32a..187cfc214 100644
--- a/eu.etaxonomy.taxeditor.store/pom.xml
+++ b/eu.etaxonomy.taxeditor.store/pom.xml
@@ -3,7 +3,7 @@
   <parent>
 	<groupId>eu.etaxonomy</groupId>
 	<artifactId>taxeditor-parent</artifactId>
-	<version>5.1.0</version>
+	<version>5.1.0-SNAPSHOT</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF
index cc3b459e3..1468c9d9d 100644
--- a/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: eu.etaxonomy.taxeditor.test
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.test;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: EDIT
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/eu.etaxonomy.taxeditor.test/pom.xml b/eu.etaxonomy.taxeditor.test/pom.xml
index 808c818c3..2cd1a05ab 100644
--- a/eu.etaxonomy.taxeditor.test/pom.xml
+++ b/eu.etaxonomy.taxeditor.test/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.1.0</version>
+    <version>5.1.0-SNAPSHOT</version>
   </parent>
   <artifactId>eu.etaxonomy.taxeditor.test</artifactId>
   <packaging>eclipse-test-plugin</packaging>
diff --git a/eu.etaxonomy.taxeditor.webapp/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.webapp/META-INF/MANIFEST.MF
index 08e920a51..93848784e 100644
--- a/eu.etaxonomy.taxeditor.webapp/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.webapp/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Webapp
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.webapp;singleton:=true
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Require-Bundle: org.eclipse.core.runtime
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
diff --git a/eu.etaxonomy.taxeditor.webapp/pom.xml b/eu.etaxonomy.taxeditor.webapp/pom.xml
index 35b83b670..e682ef4a1 100644
--- a/eu.etaxonomy.taxeditor.webapp/pom.xml
+++ b/eu.etaxonomy.taxeditor.webapp/pom.xml
@@ -4,7 +4,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.1.0</version>
+    <version>5.1.0-SNAPSHOT</version>
   </parent>
   <modelVersion>4.0.0</modelVersion>
   <artifactId>eu.etaxonomy.taxeditor.webapp</artifactId>
diff --git a/eu.etaxonomy.taxeditor.workbench/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.workbench/META-INF/MANIFEST.MF
index da8a2e173..c41b2a436 100644
--- a/eu.etaxonomy.taxeditor.workbench/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.workbench/META-INF/MANIFEST.MF
@@ -4,7 +4,7 @@ Export-Package: eu.etaxonomy.taxeditor.bulkeditor,
  eu.etaxonomy.taxeditor.workbench,
  eu.etaxonomy.taxeditor.workbench.part
 Bundle-Name: Workbench Bundle
-Bundle-Version: 5.1.0
+Bundle-Version: 5.1.0.qualifier
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
  org.eclipse.e4.ui.workbench,
diff --git a/eu.etaxonomy.taxeditor.workbench/pom.xml b/eu.etaxonomy.taxeditor.workbench/pom.xml
index 5493b6ec8..81ea25376 100644
--- a/eu.etaxonomy.taxeditor.workbench/pom.xml
+++ b/eu.etaxonomy.taxeditor.workbench/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.1.0</version>
+    <version>5.1.0-SNAPSHOT</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor/pom.xml b/eu.etaxonomy.taxeditor/pom.xml
index 8d5f83e42..2eb418d0d 100644
--- a/eu.etaxonomy.taxeditor/pom.xml
+++ b/eu.etaxonomy.taxeditor/pom.xml
@@ -2,7 +2,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.1.0</version>
+    <version>5.1.0-SNAPSHOT</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/pom.xml b/pom.xml
index 8ce5e2ba3..9dff2f6f0 100644
--- a/pom.xml
+++ b/pom.xml
@@ -6,7 +6,7 @@
   </prerequisites>
   <groupId>eu.etaxonomy</groupId>
   <artifactId>taxeditor-parent</artifactId>
-  <version>5.1.0</version>
+  <version>5.1.0-SNAPSHOT</version>
   <name>EDIT Taxonomic Editor</name>
   <description>The Taxonomic Editor for EDIT's platform for
     cybertaxonomy