commit ede99ce18e57faa3ce7b596d93516ad11fc96ac3
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Tue Sep 18 16:13:59 2018 +0200

    cleanup

diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelImportBase.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelImportBase.java
index 94f4df63..ebf0e17f 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelImportBase.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelImportBase.java
@@ -98,7 +98,8 @@ public abstract class BerlinModelImportBase
 		return doCreatedUpdatedNotes(state, annotatableEntity, rs, excludeUpdated, false);
 	}
 
-	protected boolean doCreatedUpdatedNotes(BerlinModelImportState state, AnnotatableEntity annotatableEntity, ResultSet rs, boolean excludeUpdated, boolean excludeNotes)
+	protected boolean doCreatedUpdatedNotes(BerlinModelImportState state, AnnotatableEntity annotatableEntity,
+	        ResultSet rs, boolean excludeUpdated, boolean excludeNotes)
 			throws SQLException{
 
 		BerlinModelImportConfigurator config = state.getConfig();
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonImport.java
index aad69871..ee10ef15 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonImport.java
@@ -343,8 +343,6 @@ public class BerlinModelTaxonImport  extends BerlinModelImportBase {
 			return false;
 		}
 
-
-		//	logger.info( i + " names handled");
 		getTaxonService().save(taxaToSave);
 		return success;
 	}
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonNameImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonNameImport.java
index c4cec074..c3a41df5 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonNameImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonNameImport.java
@@ -210,7 +210,7 @@ public class BerlinModelTaxonNameImport extends BerlinModelImportBase {
 					}
 
 					//epithets
-					if (rank != null && rank.isSupraGeneric()){
+					if (rank.isSupraGeneric()){
 						dbAttrName = "supraGenericName";
 					}else{
 						dbAttrName = "genus";
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonRelationImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonRelationImport.java
index e4fef226..79955d9f 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonRelationImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonRelationImport.java
@@ -294,7 +294,7 @@ public class BerlinModelTaxonRelationImport  extends BerlinModelImportBase  {
                                     //TODO homo/hetero
                                     relQualifierFk == TAX_REL_IS_PROPARTE_HOMOTYPIC_SYNONYM_OF ||
                                     relQualifierFk == TAX_REL_IS_PROPARTE_HETEROTYPIC_SYNONYM_OF ){
-                                    toTaxon.addProparteSynonym(fromTaxon, citation, microcitation);
+                                toTaxon.addProparteSynonym(fromTaxon, citation, microcitation);
                             }else if(relQualifierFk == TAX_REL_IS_PARTIAL_SYN_OF ||
                                     //TODO homo/hetero
                                     relQualifierFk == TAX_REL_IS_PARTIAL_HOMOTYPIC_SYNONYM_OF ||
@@ -322,15 +322,6 @@ public class BerlinModelTaxonRelationImport  extends BerlinModelImportBase  {
 							if (relQualifierFk == TAX_REL_IS_SYNONYM_OF ||
 									relQualifierFk == TAX_REL_IS_HOMOTYPIC_SYNONYM_OF ||
 									relQualifierFk == TAX_REL_IS_HETEROTYPIC_SYNONYM_OF){
-								//pro parte already set by taxon mapping
-//							}else if (relQualifierFk == TAX_REL_IS_PROPARTE_SYN_OF ||
-//									relQualifierFk == TAX_REL_IS_PROPARTE_HOMOTYPIC_SYNONYM_OF ||
-//									relQualifierFk == TAX_REL_IS_PROPARTE_HETEROTYPIC_SYNONYM_OF ){
-//									synonym.setProParte(true);
-//							}else if(relQualifierFk == TAX_REL_IS_PARTIAL_SYN_OF ||
-//									relQualifierFk == TAX_REL_IS_PARTIAL_HOMOTYPIC_SYNONYM_OF ||
-//									relQualifierFk == TAX_REL_IS_PARTIAL_HETEROTYPIC_SYNONYM_OF ){
-//							        synonym.setPartial(true);
 							}else{
 								success = false;
 								logger.warn("Synonym relationship type not yet implemented: " + relQualifierFk);
@@ -445,7 +436,7 @@ public class BerlinModelTaxonRelationImport  extends BerlinModelImportBase  {
 		Map<Object, Map<String, ? extends CdmBase>> maps = getRelatedObjectsForFlatPartition(rs);
 
 		Map<String, TaxonBase> taxonMap = (Map<String, TaxonBase>) maps.get(BerlinModelTaxonImport.NAMESPACE);
-		Map<Integer, Classification> classificationMap = new HashMap<Integer, Classification>();
+		Map<Integer, Classification> classificationMap = new HashMap<>();
 
 		rs = state.getConfig().getSource().getResultSet(sql);
 		try {